| Home | Libraries | People | FAQ | More

##### stream_parser::reset

Reset the parser for a new JSON text.

###### Synopsis

    void
    reset(
        storage_ptr sp = {});

###### Description

This function is used to reset the parser to prepare it for parsing a new complete JSON text. Any previous partial results are destroyed.

###### Complexity

Constant or linear in the size of any previous partial parsing results.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`sp` | A pointer to the `memory_resource` to use for the resulting `value`. The parser will acquire shared ownership.